## libdata-uriencode-perl 0.11

=== debian/changelog ===
libdata-uriencode-perl (0.11-2) unstable; urgency=medium

  * Team upload.
  * Source-only no-change re-upload.

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 Jan 2021 16:39:44 +0100

libdata-uriencode-perl (0.11-1) unstable; urgency=low

  * Initial Release (Closes: #977885)

 -- Paul Gevers <elbrus@debian.org>  Tue, 22 Dec 2020 14:53:27 +0100
