=== debian/control ===
Source: libdata-uriencode-perl
Section: perl
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep:
 libcgi-pm-perl <!nocheck>,
 perl
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://metacpan.org/release/Data-URIEncode
Testsuite: autopkgtest-pkg-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libdata-uriencode-perl.git
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libdata-uriencode-perl

Package: libdata-uriencode-perl
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: module to encode and decode data structures for use in URI's
 The world of the web works off of URI's. The Query string portion of
 URIs already support encoding of key/value paired data - they just
 don't natively allow for complex data structures.
 .
 There are modules or encodings that do support arbitrarily complex
 data structures. JSON, YAML and Data::Dumper all have their own way
 of encoding complex structures. But then to pass them across the web,
 you usually still have to URL encode them and pass them via a form
 parameter.
 .
 Data::URIEncode allows for encoding and decoding complex (multi
 level) data structures using native Query String manipulators (such
 as CGI.pm). It takes complex data and turns it into a flat hashref
 which can then be turned into a URI query string using URL
 encoding. It also takes a flat hashref of data passed in and
 translates it back to a complex structure.
