=== debian/watch ===
version=4
https://metacpan.org/release/Data-URIEncode   .*/Data-URIEncode-v?@ANY_VERSION@@ARCHIVE_EXT@$
